import { AfterContentInit, EventEmitter, OnInit } from "@angular/core";
import { SearchInputComponent } from "../../form/search-input/index.component";
export declare class RsPageListComponent implements OnInit, AfterContentInit {
    gridContent: any;
    orignGrid: any;
    treeGrid: any;
    wholeToolbarSlot: any;
    searchInput: SearchInputComponent;
    leftContentSlot: any;
    pageTitle: any;
    customPageTitle: boolean;
    hideSearch: boolean;
    isInner: boolean;
    onGridSearch: EventEmitter<any>;
    hasWholeToolbarSlot: boolean;
    hasLeftContentSlot: boolean;
    translation: any;
    ngOnInit(): void;
    getInfo(): void;
    ngAfterContentInit(): void;
    setSearchValue(value: any): void;
    onSeach(value: any): void;
}
